from flask import Flask
from flasgger import Swagger
from flask_cors import CORS

app = Flask(__name__)
CORS(app)
swagger = Swagger(app)

@app.route('/')
def hello_world():
    """
    一个hello world 的测试
    ---
    responses:
      200:
        description: 返回值
    """
    return 'Hello World!'


if __name__ == '__main__':
    app.run(debug=True, port=18080)
